classification
Title: yield's documentation not updated
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, petr.viktorin, terry.reedy
Priority: normal Keywords:

Created on 2009-01-18 22:55 by petr.viktorin, last changed 2009-02-05 11:02 by georg.brandl. This issue is now closed.

Messages (3)
msg80134 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2009-01-18 22:55
In the yield statement documentation
(http://docs.python.org/3.0/reference/simple_stmts.html#the-yield-statement),
the old way of calling generators is used:

"The body of the generator function is executed by calling the
generator’s next() method repeatedly until it raises an exception."

This should be changed to something like:

"The body of the generator function is executed by calling the next()
function on the generator repeatedly until it raises an exception."

Or just replace next() with __next__(), and fix the next paragraph as well.
msg80427 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-01-24 00:59
I would go with the first suggestion as that was the intent of adding
next() as a builtin function.
msg81203 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-02-05 11:02
Thanks, fixed in r69294.
History
Date User Action Args
2009-02-05 11:02:22georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg81203
2009-01-24 00:59:34terry.reedysetnosy: + terry.reedy
messages: + msg80427
2009-01-18 22:55:11petr.viktorincreate